Skip to main content
GET
TypeScript

Path Parameters

contractTemplateId
string
required

The Contract Template identifier

Response

Contract template was returned successfully

id
string
required

The unique identifier of the contract template

Example:

"b70701f4-d7b1-4795-a8ee-b09cdb5b850d"

name
string
required

The name of the contract template

Example:

"My Contract"

description
string
required

A short description of the contract template

Example:

"an ERC20 implementation"

abi
object[]
required

The abi of the contract template. Necessary for displaying and for after deployment encoding

Example:
isPublic
boolean
required

Is this a contract that is viewable by all fireblocks's users or is it visible only for this workspace

Example:

true

initializationPhase
enum<string>
required
Available options:
ON_DEPLOYMENT,
POST_DEPLOYMENT
longDescription
string

A full description of the contract template. May contain to break the lines

Example:

"a full ERC20 implementation, containing the following:\n\n - mint\n - burn\n"

attributes
object

The attributes related to this contract template. It will be displayed in the tokenization page

Example:
docs
object

A natspec compliant documentation json. Can be retrieved from the output json after compilation

Example:
owner
string

The workspace id of the owner of this contract template. If it's a private contract, only this workspace will be allowed to deploy it

Example:

"b70701f4-d7b1-4795-a8ee-b09cdb5b850d"

vendor
object

The details of the vendor of this contract template. Applicable only for public contract templates

canDeploy
boolean

True if the workspace allowed to deploy this contract, false otherwise

Example:

true

type
enum<string>

The type of the contract template

Available options:
FUNGIBLE_TOKEN,
NON_FUNGIBLE_TOKEN,
NON_TOKEN,
TOKEN_EXTENSION,
TOKEN_UTILITY
Example:

"FUNGIBLE_TOKEN"

implementationContractId
string